IOCTLPRINT(1)

NAME
ioctlprint - display descriptive ioctl value

SYNOPSIS
ioctlprint [-l] [-e emulation] [-f format] [arg ...]

DESCRIPTION
The ioctlprint utility displays information about the file ioctl operation pointed to by one or more arg arguments. The argument can either be an ioctl(2) symbolic name or the ioctl value.

The options are as follows:

-e emulation
    If an emulation of a process is unknown, interpret system call maps assuming the named emulation instead of default "netbsd".

-f format
    The argument is a printf(3) style format string that allows customization of ioctlprint's output.

    The following conversion characters can be used:

    %E  Symbolic decoded ioctl string.

    %e  Decoded ioctl string with hex values.

    %n  Descriptive ioctl operation name.

    %x  Hexadecimal ioctl number.

    %o  Octal ioctl number.

    %d or %i
        Decimal ioctl number.

    The default format is:

        "%n %e %x\n"

-l  List all known ioctl(2) requests.

SEE ALSO
kdump(1), ktrace(1)

HISTORY
The ioctlprint command first appeared in NetBSD 10.

AUTHORS
Kamil Rytarowski <kamil@NetBSD.org>